クリエイターのプロモーション商品
概要
クリエイターの uid を使用して、そのクリエイターがプロモーションしている商品を取得します。
エンドポイント
bash
POST /creator/v1/productListリクエストボディ
| フィールド | 型 | 必須 | 説明 |
|---|---|---|---|
filter | object | はい | フィルターパラメータ |
page | integer | いいえ | ページ番号, デフォルト: 1 |
pagesize | integer | いいえ | 1ページあたりの件数, デフォルト: 10 |
filter オプション
| フィールド | 型 | 必須 | 説明 |
|---|---|---|---|
uid | string | はい | クリエイターUID |
days | string | いいえ | 期間, 例: [0, 7, 14, 28, 90] |
リクエスト例
bash
curl 'https://openapi.fastmoss.com/creator/v1/productList' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
"filter": {
"uid": "6893103660525831169",
"days": 7
},
"page": 1,
"pagesize": 10
}'レスポンスボディ
data.total
結果の総数
data.list
| フィールド | 型 | 説明 |
|---|---|---|
product_id | string | 商品ID |
uid | string | クリエイターUID |
seller_id | string | セラーID |
commission_rate | integer | コミッション率 |
product_rating | string | 商品評価 |
shop_title | string | ショップ名 |
shop_avatar | string | ショップアバターURL |
shop_units_count | integer | ショップ販売数 |
shop_gmv | float | ショップGMV |
title | string | 商品タイトル |
cover | string | 商品カバーURL |
category | array[object] | 商品カテゴリ |
real_price | string | 商品価格 |
region | string | 商品の地域 |
gmv | float | 商品GMV |
units_sold | integer | 商品販売数 |
l1_category_id | integer | カテゴリレベル1 ID |
l2_category_id | integer | カテゴリレベル2 ID |
l3_category_id | integer | カテゴリレベル3 ID |
レスポンス例
json
{
"code": 0,
"msg": "success",
"data": {
"total": 8,
"list": [
{
"product_id": "1729539239170312086",
"uid": "6893103660525831169",
"seller_id": "7494962456968727446",
"commission_rate": 0,
"product_rating": "0.0",
"shop_title": "Twobakeboys",
"shop_avatar": "https://s.500fd.com/tt_shop/6413a6ce066e4108a30e50d1033dac88~tplv-aphluv4xwc-resize-png:300:300.png",
"shop_units_count": 23867,
"shop_gmv": 607576.80,
"title": "Pineapple tart 230g per bottle",
"cover": "https://s.500fd.com/default/product_default.png",
"category": [
"Food & Beverages"
],
"real_price": "S$15.00",
"region": "SG",//product's region
"gmv": 0,
"units_sold": 0,
"l1_category_id":24,//product's l1 category_id
"l2_category_id":915336,//product's l2 category_id
"l3_category_id":700553//product's l3 category_id
}
]
}
}